Bug 1014606 - error: rpmdbNextIterator: skipping h# 546 Header SHA1 digest: BAD
error: rpmdbNextIterator: skipping h# 546 Header SHA1 digest: BAD
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm (Show other bugs)
6.5
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 07:40 EDT by Jaroslav Kortus
Modified: 2015-06-29 15:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-15 08:13:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
corrupted RPM database (17.49 MB, application/x-compressed-tar)
2013-10-02 07:43 EDT, Jaroslav Kortus
no flags Details

  None (edit)
Description Jaroslav Kortus 2013-10-02 07:40:13 EDT
Description of problem:
Out of a sudden all rpm operations fail with this error message:
# rpm -q pacemaker
error: rpmdbNextIterator: skipping h#     546 Header SHA1 digest: BAD
[.. can repeat many times ...]

So far I was unable to find out what caused it. It happened two times to me so far (two different installations).

Version-Release number of selected component (if applicable):
# yum --version
3.2.29
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
  Installed: rpm-4.8.0-37.el6.x86_64 at 2013-09-19 12:08
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2013-09-12 10:55
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2013-09-12

  Installed: subscription-manager-1.9.6-1.el6.x86_64 at 2013-09-19 12:10
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2013-09-12 20:11
  Committed: jesus m. rodriguez <jesusr@redhat.com> at 2013-09-12

  Installed: yum-3.2.29-40.el6.noarch at 2013-09-19 12:08
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2013-01-08 17:02
  Committed: James Antill <james.antill@redhat.com> at 2013-01-08


How reproducible:
not sure

Steps to Reproduce:
1. unknown
2.
3.

Actual results:
RPM commands start failing suddenly

Expected results:
no db corruption

Additional info:
Comment 1 Jaroslav Kortus 2013-10-02 07:43:34 EDT
Created attachment 806395 [details]
corrupted RPM database
Comment 3 RHEL Product and Program Management 2013-10-13 21:49:07 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Ľuboš Kardoš 2014-11-25 06:04:49 EST
Attached rpmdb doesn't seem to be corrupeted. I extracted your tarball in rhel-6.5 system and successfully executed following command (where /root/rpm is path to extracted rpmdb):

# rpm --dbpath /root/rpm -q pacemaker
pacemaker-1.1.10-9.el6.x86_64

Also other commands worked as expected. Did you encounter this error right after installation? If yes then what kind of installation did you perform (default installation or some special steps)? If no then what steps did you perform in installed system before error occured?

Note You need to log in before you can comment on or make changes to this bug.